System.Security 2.0.0.0 4.0.0.0 System.Object System.Collections.IList

The class encapsulates the <EncryptionProperty> element defined by the World Wide Web Consortium XML Encryption specification located at http://www.w3.org/TR/xmlenc-core/.

Use the class to provide additional encryption information related to the and elements. For example, you can use this class to specify a time stamp.

Represents a collection of classes used in XML encryption. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Adds an object to the object.

  The position at which the new element is inserted.

  An object to add to the object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Removes all items from the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the object contains a specific object.

  true if the object is found in the object; otherwise, false.

  The object to locate in the object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the object to an array, starting at a particular array index.

  The one-dimensional object that is the destination of the elements copied from the object. The array must have zero-based indexing. The zero-based index in at which copying begins.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the object to an array of objects, starting at a particular array index.

  The one-dimensional array of objects that is the destination of the elements copied from the object. The array must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of elements contained in the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  Enumerators allow only reading the data in the collection. Enumerators cannot be used to modify the underlying collection.

  Returns an enumerator that iterates through an object.

  An object that can be used to iterate through an object.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Determines the index of a specific item in the object.

  The index of if found in the collection; otherwise, -1.

  The object to locate in the object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Inserts an object into the object at the specified position.

  The zero-based index at which should be inserted. An object to insert into the object.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  A collection with a fixed size does not allow the addition or removal of elements after the collection is created, but does allow the modification of existing elements.

  A collection with a fixed size is simply a collection with a wrapper that prevents adding and removing elements. Therefore, if changes are made to the underlying collection, including the addition or removal of elements, the fixed-size collection reflects those changes.

  Gets a value that indicates whether the object has a fixed size.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  A collection that is read-only does not allow the addition, removal, or modification of elements after the collection is created.

  A collection that is read-only is simply a collection with a wrapper that prevents modifying the collection; therefore, if changes are made to the underlying collection, the read-only collection reflects those changes.

  Gets a value that indicates whether the object is read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether access to the object is synchronized (thread safe).

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.EncryptionProperty `` To be added.

  Returns the object at the specified index.

  The object at the specified index.

  The index of the object to return.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.EncryptionProperty `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the first occurrence of a specific object from the object.

  The object to remove from the object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the object at the specified index.

  The zero-based index of the object to remove.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Adds an item to the .

  The position into which the new element was inserted.

  The to add to the .
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the contains a specific value.

  true if the is found in the ; otherwise, false.

  The to locate in the .
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Determines the index of a specific item in the .

  The index of if found in the list; otherwise, -1.

  The to locate in the .
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Inserts an item to the at the specified index.

  The zero-based index at which should be inserted. The to insert into the .
- Property
  2.0.0.0
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the first occurrence of a specific object from the .

  The to remove from the .